## com.gargoylesoftware.htmlunit.html
Class DomCharacterData

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.DomNode
          com.gargoylesoftware.htmlunit.html.DomCharacterData

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.CharacterData, org.w3c.dom.Node

Direct Known Subclasses:
  DomComment, DomText

    public abstract class DomCharacterData

extends DomNode
implements org.w3c.dom.CharacterData

Wrapper for the DOM node CharacterData.

Version:
  $Revision: 4002 $
Author:
  David K. Taylor, Christian Sell, Ahmed Ashour
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`DomNode.ChildIterator, DomNode.DescendantElementsIterator`

Field Summary

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`AS_TEXT_BLANK, AS_TEXT_BLOCK_SEPARATOR, AS_TEXT_NEW_LINE, AS_TEXT_TAB, PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`DomCharacterData(SgmlPage page, java.lang.String data)` Creates an instance of DomCharacterData.

Method Summary
`void` `appendData(java.lang.String newData)` Appends a string to character data.
`void` `deleteData(int offset, int count)` Deletes characters from character data.
`java.lang.String` `getData()` Gets the data character string for this character data node.
`int` `getLength()` Returns the number of characters in the character data.
`java.lang.String` `getNodeValue()`
`void` `insertData(int offset, java.lang.String arg)` Inserts a string into character data.
`void` `replaceData(int offset, int count, java.lang.String arg)` Replaces characters of character data with a string.
`void` `setData(java.lang.String data)` Sets the data character string for this character data node.
`void` `setNodeValue(java.lang.String newValue)` Sets the data character string to the new string.
`java.lang.String` `substringData(int offset, int count)` Extracts a substring from character data.

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNode

`addDomChangeListener, appendChild, asText, asXml, checkChildHierarchy, cloneNode, compareDocumentPosition, fireNodeAdded, fireNodeDeleted, getAllHtmlChildElements, getAncestors, getAttributes, getBaseURI, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getPage, getParentNode, getPrefix, getPreviousSibling, getReadyState, getScriptObject, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, insertBefore, isAncestorOf, isBlock, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, isTrimmedText, lookupNamespaceURI, lookupPrefix, normalize, notifyIncorrectness, onAddedToPage, onAllChildrenAddedToPage, printChildrenAsXml, printXml, remove, removeAllChildren, removeChild, removeDomChangeListener, replace, replaceChild, selectNodes, selectSingleNode, setNextSibling, setParentNode, setPrefix, setPreviousSibling, setReadyState, setScriptObject, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setPrefix, setTextContent, setUserData`

Constructor Detail

### DomCharacterData

    public DomCharacterData(SgmlPage page,
                            java.lang.String data)

  Creates an instance of DomCharacterData.

  Parameters:
    `page` - the Page that contains this element
    `data` - the data string wrapped by this node

Method Detail

### getData

    public java.lang.String getData()

  Gets the data character string for this character data node.

  Specified by:
    `getData` in interface `org.w3c.dom.CharacterData`
  Returns:
    the data character string

### setData

    public void setData(java.lang.String data)

  Sets the data character string for this character data node.

  Specified by:
    `setData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `data` - the new data character string

### setNodeValue

    public void setNodeValue(java.lang.String newValue)

  Sets the data character string to the new string.

  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `setNodeValue` in class `DomNode`
  Parameters:
    `newValue` - the new string of data

### getLength

    public int getLength()

  Returns the number of characters in the character data.

  Specified by:
    `getLength` in interface `org.w3c.dom.CharacterData`
  Returns:
    the number of characters

### appendData

    public void appendData(java.lang.String newData)

  Appends a string to character data.

  Specified by:
    `appendData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `newData` - the string to be appended to the character data

### deleteData

    public void deleteData(int offset,
                           int count)

  Deletes characters from character data.

  Specified by:
    `deleteData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - the position of the first character to be deleted
    `count` - the number of characters to be deleted

### insertData

    public void insertData(int offset,
                           java.lang.String arg)

  Inserts a string into character data.

  Specified by:
    `insertData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - the position within the first character at which the string is to be inserted
    `arg` - the string to insert

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)

  Replaces characters of character data with a string.

  Specified by:
    `replaceData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - the position within the first character at which the string is to be replaced
    `count` - the number of characters to be replaced
    `arg` - the string that replaces the count characters beginning at the character at offset

### substringData

    public java.lang.String substringData(int offset,
                                          int count)

  Extracts a substring from character data.

  Specified by:
    `substringData` in interface `org.w3c.dom.CharacterData`
  Parameters:
    `offset` - the position of the first character to be extracted
    `count` - the number of characters to be extracted
  Returns:
    a string that consists of the count characters of the character data starting from the character at position offset

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `DomNode`
  Returns:
    the string data held by this node

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.